Opened 13 years ago

Closed 12 years ago

#12827 closed defect (worksforme)

Port bug: rb-rails dependencies may be out of order

Reported by: frank.mcpherson@… Owned by: boeyms@…
Priority: Normal Milestone:
Component: ports Version: 1.5.2
Keywords: Cc: rcavanaugh@…, gjznituv@…
Port: rb-rails

Description

I get an error from rb-activesupport when installing rb-rails with no existing Macports ruby install:

sudo port install rb-rails
Password:
--->  Staging rb-activesupport into destroot
Error: Target org.macports.destroot returned: shell command "/opt/local/bin/gem install --local --force --install-dir /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_ruby_rb-activesupport/work/destroot/opt/local/lib/ruby/gems/1.8 /opt/local/var/macports/distfiles/ruby/activesupport-1.4.2" returned error 1
Command output: /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such file to load -- sources (LoadError)
        from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/source_info_cache.rb:6
        from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
        from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/remote_installer.rb:12
        from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
        from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems.rb:112:in `manage_gems'
        from /opt/local/bin/gem:10

Error: The following dependencies failed to build: rb-actionmailer rb-actionpack rb-activesupport rb-actionwebservice rb-activerecord rb-rake
Error: Status 1 encountered during processing.
[frank@redleg frank]$ 

I didn't spend much time on identifying or fixing the problem, but it does appear to have a workaround. First, install ruby, then rb-rubygems, then rb-rails, one at a time.

Change History (9)

comment:1 Changed 13 years ago by ryandesign (Ryan Schmidt)

Cc: frank.mcpherson@… rcavanaugh@… added

comment:2 Changed 13 years ago by boeyms@…

Owner: changed from macports-tickets@… to boeyms@…

It seems to me that this bug is not to do with the dependency listing of rb-rails, but rather the bug described in ticket:11751. I'll assign this to myself with a view to closing it as invalid in a couple of weeks, unless I get information that suggests a different cause.

comment:3 Changed 13 years ago by gjznituv@…

The solution in ticket:11751 doesn't work for me, I keep getting the same error.

comment:4 in reply to:  3 Changed 13 years ago by boeyms@…

Cc: gjznituv@… added

Replying to gjznituv@gmail.com:

The solution in ticket:11751 doesn't work for me, I keep getting the same error.

In that case, could you try:

  1. cleaning rb-activesupport;
  2. uninstalling rb-rubygems;
  3. cleaning rb-rubygems;
  4. installing rb-rubygems again; and then
  5. installing rb-rails with port's debug flag (-d).

If that doesn't work, let us know output you get.

comment:5 Changed 13 years ago by gjznituv@…

great, works now. thanks.

comment:6 Changed 13 years ago by Patrick.Lemmens@…

I just encountered the same problem with macports 1.6

The procedure outlined above by boeyms@… does solve the problem but just (automatically) installing rb-rails does not work...

comment:7 Changed 12 years ago by jmroot (Joshua Root)

Cc: frank.mcpherson@… removed
Port: rb-rails added

The fact that cleaning and trying again fixes the problem suggests that this may have been another case of the Tcl env bug, which has been worked around in MacPorts 1.7.0. See #13930, #16010, #16233.

Was this problem being encountered on Leopard? Can it be reproduced with MP 1.7?

comment:8 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

comment:9 Changed 12 years ago by tobypeterson

Resolution: worksforme
Status: newclosed

no reply in 7 months, closing

Note: See TracTickets for help on using tickets.